MatchMaker defines a strategy for matching players.

It is responsible to produce new matches until it considers that there is a winner according to the strategy followed.

### Hierarchy

- IMatchMaker

### Implemented by

- DoubleEliminationMatchmaker
- FreeForAllMatchmaker

## Index

### Methods

- getRanking
- getRemainingMatches
- isFinished
- updateStats

## Methods

### getRanking

- getRanking(tournament: Tournament): Player[]

- - Defined in src/lobby/tournament/matchmaker/MatchMaker.ts:15

  #### Parameters

  - ##### tournament: Tournament

  #### Returns Player[]

### getRemainingMatches

- getRemainingMatches(tournament: Tournament): Match[]

- - Defined in src/lobby/tournament/matchmaker/MatchMaker.ts:14

  #### Parameters

  - ##### tournament: Tournament

  #### Returns Match[]

### isFinished

- isFinished(): boolean

- - Defined in src/lobby/tournament/matchmaker/MatchMaker.ts:12

  #### Returns boolean

### updateStats

- updateStats(tournament: Tournament): Match[] | void

- - Defined in src/lobby/tournament/matchmaker/MatchMaker.ts:13

  #### Parameters

  - ##### tournament: Tournament

  #### Returns Match[] | void

Generated using TypeDoc